package rocks.zipcode.io.quiz3.fundamentals;

import java.util.Arrays;

/**
 * @author leon on 09/12/2018.
 */
public class PigLatinGenerator {
    static boolean isVowel(char c) {
        return (c == 'A' || c == 'E' || c == 'I' || c == 'O' || c == 'U' ||
                c == 'a' || c == 'e' || c == 'i' || c == 'o' || c == 'u');
    }

    public String translate(String str) {
        // the index of the first vowel is stored.
        int len = str.length();
        int index = -1;
        for (int i = 0; i < len; i++)
        {
            if (isVowel(str.charAt(i))) {
                index = i;
                break;
            }
        }

        // Pig Latin is possible only if vowels
        // is present
        if (index == -1)
            return "-1";

        // Take all characters after index (including
        // index). Append all characters which are before
        // index. Finally append "ay"
        return str.substring(index) +
                str.substring(0, index) + "ay";
    }
}

