package rocks.zipcode.io.quiz3.arrays;

/**
 * @author leon on 09/12/2018.
 */
public class TicTacToe {

    String [][] board = new String[3][3];

    public TicTacToe(String[][] board) {
       this.board = board;
    }

    public String[] getRow(Integer value) {
        return board[value];
    }

    public String[] getColumn(Integer value) {
        String[] column = new String[3];
        for (int i = 0; i < 3; i++) {
            column[i] = board[i][value];
        } return column;
    }

    public Boolean isRowHomogenous(Integer rowIndex) {
        if (board[rowIndex][0] == board[rowIndex][1] && (board[rowIndex][1] == board[rowIndex][2])){
            return true;
        }
        return false;
    }

    public Boolean isColumnHomogeneous(Integer columnIndex) {
        String[] column = getColumn(columnIndex);
        if (column[0] == column[1] && (column[1] == column[2])) {
            return true;
        } else return false;
    }

    public String getWinner() {
        for (int i = 0; i < 3; i++) {
            if (isRowHomogenous(i)){
                return board[i][0];
            } else if (isColumnHomogeneous(i)){
                return getColumn(i)[i];
            } else if ((board[0][0] == board[1][1]) && (board[1][1] == board[2][2])){
                return board[0][0];
            } else if ((board[0][2] == board[1][1]) && (board[1][1] == board[2][0])){
                return board[1][1];
            }
        }
        return null;
    }
}
